<?php
$wp_customize->add_section(
	'sidebar_options',
	array(
		'title' => esc_html__( 'SideBar Options', 'magfusion' ),
		'panel' => 'archive_options_panel',
	)
);

$wp_customize->add_setting(
    'magfusion_options[sidebar_layout_option]',
    array(
        'default'           => $magfusion_default['sidebar_layout_option'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'magfusion_sanitize_radio'
    )
);

$wp_customize->add_control(
    new Magfusion_Custom_Radio_Image_Control(
        $wp_customize,
        'magfusion_options[sidebar_layout_option]',
        array(
            'label'         => esc_html__( 'Select Sidebar Layout (archive)', 'magfusion' ),
            'section'       => 'sidebar_options',
            'choices'       => magfusion_get_sidebar_layouts(),
        )
    )
);


$wp_customize->add_setting(
    'magfusion_options[single_sidebar_layout_option]',
    array(
        'default'           => $magfusion_default['single_sidebar_layout_option'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'magfusion_sanitize_radio'
    )
);

$wp_customize->add_control(
    new Magfusion_Custom_Radio_Image_Control(
        $wp_customize,
        'magfusion_options[single_sidebar_layout_option]',
        array(
            'label'         => esc_html__( 'Select Sidebar Layout (Single)', 'magfusion' ),
            'section'       => 'sidebar_options',
            'choices'       => magfusion_get_sidebar_layouts(),
        )
    )
);


$wp_customize->add_setting(
    'magfusion_options[enable_sidebar_fix_archive]',
    array(
        'default'           => $magfusion_default['enable_sidebar_fix_archive'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_sidebar_fix_archive]',
    array(
        'label'    => __( 'Enable Sticky Sidebar', 'magfusion' ),
        'section'     => 'sidebar_options',
        'type'        => 'checkbox',
    )
);
